1.00
最初のバージョン
1.01
・アニメーションの軌跡があったとき、処理がおかしくなるのを修正ししまた。
・複雑なアニメーションの軌跡をきちんと処理できないのを修正しました。
・アニメーションの軌跡でステップダウンとバウンドがおかしいのを修正しました。
・アニメーションの[開始]カーブ（上）の初期位置がおかしいのを修正しました。
・アニメーションの[終了]ひし形で最後に表示されてしまうのを修正しました。
・アニメーションの[終了]ズームで最後に表示されてしまうのを修正しました。
・アニメーションの[開始]クレジットタイトルのあと画面切り替え時にアイテムが表示されるのを修正しました。
・アニメーション[開始]フラッシュのあと画面切り替え時にアイテムが表示されるのを修正しました。
・ビデオで拡張子が.movのものも変換対象にするようにしました。
・フレームレートを12fpsの固定から6〜255fpsへ設定できるようにしました。
それに伴い、ビデオのスピードも4,6,12fpsからメインのスピードの
33%,50%,100%を指定するようにしました。
・Flashを組み込めるようにした。ただし、なんらかのマクロを組み込まないと
変換が停止します。
・アニメーションとして扱われるサウンドはスライド切り替え時に鳴るのを
やめるように変更しました。
・サウンドが鳴っているとき、同じサウンドを起動しても鳴らないようにしました。
・PowerPoint2000でページ番号が変換されないのを修正しました。
1.02
・画面切り替えのタイミングで時間指定しているのにスライドが停止してしまう問題を修正しました。
・画面切り替えのタイミングでクリックも時間指定もない場合、クリックでスライドを進められたのを不可能にしました。
・画面切り替えのタイミングで時間指定した場合、時間を秒の小数点以下まで扱うようにしました。今までは小数点以下は切り捨てていました。
・埋め込みサウンド、埋め込みビデオを変換できるようになりました。ただしPowerPoint97,PowerPoint2000ではできません。
・サウンドの繰り返し再生に対応しました。
・ビデオとサウンドで特定スライドまで再生を続行するのに対応しました。
・文字情報のSWFファイル内での再利用率を高めました。これによってSWFファイルのサイズが小さくなります。
・文字の数が多い場合に変換に時間がかかっていたのを高速化しました。
・Flashを含むファイルを変換すると、Flashが存在するスライド内の図が消えることがあるのを修正しました。
1.02b
・「P2S P2SMENU CRYPTが使用できません」というエラーがでないように修正をしました。
1.03
・ナビゲーションの使用でSWFファイルを制御できるようになりました。
1.04
・ライズアップ、シンクのアニメーションがうまく動作しない場合があったのを修正しました。
・テキストを文字単位または単語単位にアニメーションさせ添付されている図を動かす設定にしていた場合、テキストと図が同時にアニメーションしてしまっていたのを修正しました。
・行頭文字があった場合、スライドインなどの移動のアニメーションで表示位置がおかしかったのを修正しました。
・テキストボックスなどに透過性の設定があった場合、きちんと透過するように修正しました。
・試用版でスライド数が２以下のときに再生できないSWFファイルを作成してしまうバグの修正しました。
・プレイスホルダー、テキストボックス、オートシェイプの一部をベクトルデータに変換するようにしました。
・オプションタブに「ログファイル」「上書き確認」「高画質JPEG」を増やしました。
・特殊タブに「先頭にSTOPを追加」「ミニマム変換」「EMF加工不可」を増やしました。
・SWFファイルに"S〜"というラベルを追加しました。（詳しくはSWFファイルの使用方法を参照してください。）
・アニメーションで図と文字が同時に動く場合の位置のずれを修正しました。
・サウンドファイルが見つからない場合に、変換が止まってしまう問題を修正しました。
・PowerPoint2000でアニメーションに設定されているサウンドが鳴らないのを修正しました。
・スライドタイトルに以前のスライドタイトルが表示される場合があるのを修正しました。
・出力ディレクトリ名の中にemfという文字列があるとうまく変換できない問題を修正しました。
・アニメーションのあるスライドで画面切り替えをすると画面切り替え中に図やテキストが消えてしまう問題があったのを修正しました。
・ナビゲーションで縦長などのスライドの場合、表示位置がおかしくなるのを修正しました。
・画面切り替えの「サークル」とアニメーションの「サークル」の楕円の形を修正しました。
1.05
・アニメーションの軌跡のハートとスウッシュで移動位置がおかしかったのを修正しました。
・処理中に浮動小数点処理がうまくおこなえなくなる問題を修正しました。
・図の下と右が１ドット欠ける場合があったのを修正しました。
・WMVのビデオを変換できるようにしました。
ただし・変換にはDirectX(9.0以降）とWindows Media(9以降)が必要です。
　　　・DRM（著作権保護）つきのものは変換できません。
　　　・Windows98,NT4.0では変換できません。
・MP3のサウンドを変換できるようにしました。
ただし・変換にはDirectX(8.0以降）が必要です。
　　　・NT4.0では変換できません。
・WMAのサウンドを変換できるようにしました。
ただし・変換にはDirectX(9.0以降）とWindows Media(9以降)が必要です。
　　　・DRM（著作権保護）つきのものは変換できません。
　　　・Windows98,NT4.0では変換できません。
・サウンドのサンプリング周波数を設定できるようになりました。
・PCM以外のWAVファイルを変換するときに、うまく変換できないことがあったのを修正しました。
・「クリック時に非表示」に対応するようにしました。
・Officeのファイルの履歴から変換に使用したテンポラリファイルとフォルダを削除するようにしました。
・WindowsXPなどで出力ディレクトリ名が空欄になってしまう場合があったのを改善しました。
・PowerPoint97,2000でファイル選択ダイアログでのファイルの複数選択を可能にしました。
・図の変換にPNGを使用するようにしました。（PowerPoint97,PowerPoint2000ではEMFのままです）
・GIFアニメーションを変換できるようになりました。
・ナビゲーションを使用していてインデックスは表示しないとき、SWFの左右の空白を削除しました。
・PowerPoint2000で出力ディレクトリが入力されていない状態で参照ボタンをクリックするとエラーになっていたのを修正しました。
・出力ディレクトリが空欄で、「変換するファイルと同じディレクトリに出力」を選択した状態で変換を開始するとエラーが発生するのを修正しました。
1.06
・いくつかの画面切り替えが動作しなかったのを修正しました。
・アニメーションと画面切り替え時間が両方ある場合、画面切り替え時間が長くなる問題を修正しました。
・12fps以外でのアニメーション遅延時間の計算のバグを修正しました。
・アニメーションのターンで四角形、楕円が線として表示されてしまう場合があるのを修正しました。
・アニメーションのディゾルブで文字ごと、単語ごとのアニメーションができなかったのを修正しました。
・アニメーションのディゾルブでFlashの処理を軽くしました。
・アニメーションのスイッシュでアニメーションの速さが高速の場合に文字が傾いてしまう問題を修正しました。
・横書きと縦書きが混在しているとき文字の位置がおかしくなる場合があったのを修正しました。
・透過しているオブジェクトをアニメーションさせると透過度がおかしくなる場合があったのを修正しました。
・スタック使用量を減らしました。プログラムが安定して動作するようになります。
1.07
・ファイルを分割して変換できるようにしました。
・AVIに変換できるようにしました。
・コマンドプロンプトから変換できるようにしました。
・ユーザーの作成したプログラムからDLLを呼び出して変換できるようにしました。
・スライドごとにつけていたラベルが"n"だったのを"Ln"に変更しました。（nはスライド番号）
・イメージをJPEG、ロスレス、ファイルサイズのオプションで変換できるようにしました。
・PowerPoint97,2000のアニメーションで文字ごとまたは単語ごとの場合の遅延時間を調整しました。
・リハーサルのタイミングを変換するようにしました。
・PowerPoint2000での埋め込みサウンドを変換するようにしました。
・動画ファイルが指定されたディレクトリにない場合、PPTファイルと同じディレクトリ内の動画ファイルを使用します。
・出力されたSWFファイルが16000フレームを越えた場合警告を表示するようにしました。
・ディレクトリ名のドライブレターが小文字だとエラーになっていたのを修正しました。
・画面切り替えサウンドが埋め込まれていた場合に変換できるようにしました。
・フォントの名前を間違って変換していた場合があったのを改善しました。
・ビデオを含んだPPTファイルを変換するときに変換が停止してしまう問題を改善しました。
・ビデオに対するアニメーションを変換できるようになりました。
1.07a
・ヘルプファイルの文字化けを修正しました。
・サウンドファイルが指定されたディレクトリにない場合、PPTファイルと同じディレクトリ内のサウンドファイルを使用します。
・AVI変換でエラーが発生したときにエラーを表示するようにしました。
1.08
・リハーサルで変換がうまくいかない場合があったのを修正しました。
・ハイパーリンクがアニメーション中に動作しないのを修正しました。
・２バイト文字が出力ディレクトリにあるとAVI変換でエラーになる問題を修正しました。
・AVIに変換したときのスクリーンサイズの問題を修正しました。
・ヘルプファイルを印刷しやすくしました。
・アニメーションのサウンドが連続しているときに、一部が再生されない問題を修正しました。
・テキストアニメーションにサウンドが付加されているときにAVI変換すると変換が正しく行われなかったのを修正しました。
・背景クリックまたはナビゲーションのPlayボタンでのスライド移動を高速化しました。
・AVIに変換したときにサウンドの周波数を[オプション]タブでの設定によって変わるようにしました。
・HTMLタブでの[ループ]によってJavaScriptファイルを変化させていましたが、うまく機能していませんでした。SWFファイル自体でループするかしないかを処理できるように変更しました。
1.09
・ナビゲーションのスライドリストを改良しました。
・AVIに変換するときのスクリーンサイズの種類を増やしました。
・AVI変換のときプログラムが進まなくなることがあるのを修正しました。
・複数スライドにわたるサウンドがループの設定をしていないのにループしてしまうのを修正しました。
・PPT2000でワイプの方向が逆になるのを修正しました。
・段落アニメーションに終了時に消える、色変化、クリック後に消えるを設定すると正しく変換されないのを修正しました。
・異なる透過度を持つアイテムをグループ化するとまったく表示されなくなるのを修正しました。
・強調のアニメーションを使用すると、アニメーション終了後や画面切り替え時に図やテキストが表示されなくなる問題を修正しました。
・アニメーション後の色変更のタイミングがおかしかったのを修正しました。
・SPINのアニメーションの後に回転が戻ってしまうのを修正しました。
・軌跡のアニメーションの後に位置が戻ってしまうのを修正しました。
・フォントの色の変化のアニメーションでの不具合を修正しました。
・塗りつぶしの色の変化のアニメーションでの不具合を修正しました。
・複雑なフォントを変換すると変換が異常終了する場合があったのを修正しました。
・0xff以下のUNICODEの文字が文字化けする場合があったのを修正しました。
・サウンドの先頭が再生されない問題を修正しました。
1.10
・PowerPoint2007に対応しました。
・WindowsVistaに対応しました。
・Loadingで背景にイメージを置くことができるようにしました。
またそのイメージをLoading率に応じてアニメーションさせることができるようにしました。
・AVI変換の場合にファイル分割オプションだとPASS3でのキャンセルがうまくいかない問題を解決しました。
・AVIに変換する前の段階のXTLファイルを出力できるようにしました。
このXTLファイルはあとでXTL2AVIでAVIに変換できます。
・追加変換でCSVファイル出力できるようにしました。
これはPPTファイルのテキストの内容をCSVファイルにしたものです。
・ナビゲーションにカスタムを追加し、スライダーの非表示などが可能にしました。
・ログファイルを保存する場所を選べるようにしました。
・AVI化でプチノイズが出ていた問題を解決しました。
1.14
・アクションスクリプト機能を追加しました。
AS1.0とAS3.0に対応しています。
・Windows7に対応しました。
・JPEG画質を細かく設定できるようにしました。
・変換結果を向上させました。
1.15
・PowerPoint2010に対応しました。
1.16
・PowerPoint2010(64bit版)に対応しました。
・背景クリックができる場所のマウスカーソルを手の形から矢印に変更しました。
